Get Embed Config
curl --request GET \
--url https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}import requests
url = "https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"workflow_id": 123,
"settings": {},
"texts": {
"endChatText": "End chat",
"endChatConfirmText": "End this chat?",
"endChatCancelText": "Cancel",
"endingChatText": "Ending…",
"conversationEndedText": "Conversation ended.",
"startNewChatText": "Start new chat",
"chatRetryText": "Retry",
"chatInputPlaceholder": "Type a message…",
"sendMessageLabel": "Send message",
"closeChatLabel": "Close chat",
"voiceConnectingText": "Connecting…",
"voiceEndCallText": "End Call",
"voiceRetryText": "Retry",
"voiceReadyTitle": "Ready to Connect",
"voiceConnectingSubtext": "Please wait while we establish the connection",
"voiceConnectedTitle": "Connected",
"voiceConnectedSubtext": "Your voice call is now active",
"voiceCallEndedTitle": "Call ended",
"voiceCallEndedSubtext": "Click below to start a new call",
"voiceConnectionFailedTitle": "Connection failed",
"voiceConnectionFailedSubtext": "Please check your microphone and try again",
"voiceConnectionLostTitle": "Connection lost",
"voiceConnectionLostSubtext": "The call has been disconnected"
},
"theme": "<string>",
"position": "<string>",
"button_text": "<string>",
"button_color": "<string>",
"size": "<string>",
"auto_start": true,
"turn_enabled": true,
"force_turn_relay": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Public
Get Embed Config
Read the public widget configuration for an active embed token from an allowed origin. A successful configuration fetch does not initialize a conversation.
Get Embed Config
curl --request GET \
--url https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}import requests
url = "https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://athena.tryopencomputer.com/api/v1/public/embed/config/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"workflow_id": 123,
"settings": {},
"texts": {
"endChatText": "End chat",
"endChatConfirmText": "End this chat?",
"endChatCancelText": "Cancel",
"endingChatText": "Ending…",
"conversationEndedText": "Conversation ended.",
"startNewChatText": "Start new chat",
"chatRetryText": "Retry",
"chatInputPlaceholder": "Type a message…",
"sendMessageLabel": "Send message",
"closeChatLabel": "Close chat",
"voiceConnectingText": "Connecting…",
"voiceEndCallText": "End Call",
"voiceRetryText": "Retry",
"voiceReadyTitle": "Ready to Connect",
"voiceConnectingSubtext": "Please wait while we establish the connection",
"voiceConnectedTitle": "Connected",
"voiceConnectedSubtext": "Your voice call is now active",
"voiceCallEndedTitle": "Call ended",
"voiceCallEndedSubtext": "Click below to start a new call",
"voiceConnectionFailedTitle": "Connection failed",
"voiceConnectionFailedSubtext": "Please check your microphone and try again",
"voiceConnectionLostTitle": "Connection lost",
"voiceConnectionLostSubtext": "The call has been disconnected"
},
"theme": "<string>",
"position": "<string>",
"button_text": "<string>",
"button_color": "<string>",
"size": "<string>",
"auto_start": true,
"turn_enabled": true,
"force_turn_relay": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Response
Successful Response
Response model for embed configuration
Every visitor-facing string the embed widget can render.
Show child attributes
Show child attributes